<?php
/*
Plugin Name: EStat
Version: 0.1.0b
Description: Extended Statistics
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=634
Author: grum@piwigo.org
Author URI: http://www.grum.fr
*/

/*
--------------------------------------------------------------------------------
  Author     : Grum
    email    : grum@piwigo.com
    website  : http://www.grum.fr

    << May the Little SpaceFrog be with you ! >>
--------------------------------------------------------------------------------

:: HISTORY

| release | date       |
| 0.1.0b  | 2010-08-22 | * start coding
|         |            |   . dev/beta release
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |


:: TO DO

--------------------------------------------------------------------------------

:: NFO
  EStat_root : common classe for admin and public classes
  EStat_AIM  : classe to manage plugin integration into plugin menu
  EStat_AIP  : classe to manage plugin admin pages
  EStat_PIP  : classe to manage plugin public pages

--------------------------------------------------------------------------------
*/

// for debug, if needed :-)
// ini_set('error_reporting', E_ALL);
// ini_set('display_errors', true);

if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');


define('ESTAT_DIR' , basename(dirname(__FILE__)));
define('ESTAT_PATH' , PHPWG_PLUGINS_PATH . ESTAT_DIR . '/');
define('ESTAT_LIB' , ESTAT_PATH.'lib/');

include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/CommonPlugin.class.inc.php');
include_once('estat_version.inc.php'); // => Don't forget to update this file !!

global $prefixeTable;

if(!defined('AJAX_CALL'))
{
  if(defined('IN_ADMIN'))
  {
    //EStat admin interface loaded and active only if in admin page
    include_once("estat_aim.class.inc.php");
    $obj=new EStat_AIM($prefixeTable, __FILE__);
  }
  else
  {
    if(CommonPlugin::checkGPCRelease(ESTAT_GPC_NEEDED))
    {
      //EStat public interface loaded and active only if in public page
      include_once("estat_pip.class.inc.php");
      $obj=new EStat_PIP($prefixeTable, __FILE__);
    }
  }
  set_plugin_data($plugin['id'], $obj);
}

?>
